Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.jsword.book.sword
Class SwordConstants

    java.lang.Object
      org.crosswire.jsword.book.sword.SwordConstants

    public final class SwordConstants

extends Object

A Constants to help the SwordBookDriver to read Sword format data.

Author:
  Mark Goodwin, Joe Walker, The SWORD Project (don't know who - no credits in original files (canon.h))
See Also:
  `The GNU Lesser General Public License for details.`

Field Summary
`static String` | `DIR_CONF` The configuration directory
`static String` | `DIR_DATA` The data directory
`static String` | `EXTENSION_CONF` Extension for config files
`static String` | `EXTENSION_DATA` Extension for data files
`static String` | `EXTENSION_INDEX` Extension for index files
`static String` | `EXTENSION_VSS` Index file extensions
`static String` | `FILE_NT` New testament data files
`static String` | `FILE_OT` Old testament data files

Constructor Summary
`private` | `SwordConstants()` Prevent instantiation

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FILE_NT

    public static final String FILE_NT

  New testament data files

  See Also:
    Constant Field Values

### FILE_OT

    public static final String FILE_OT

  Old testament data files

  See Also:
    Constant Field Values

### EXTENSION_VSS

    public static final String EXTENSION_VSS

  Index file extensions

  See Also:
    Constant Field Values

### EXTENSION_INDEX

    public static final String EXTENSION_INDEX

  Extension for index files

  See Also:
    Constant Field Values

### EXTENSION_DATA

    public static final String EXTENSION_DATA

  Extension for data files

  See Also:
    Constant Field Values

### EXTENSION_CONF

    public static final String EXTENSION_CONF

  Extension for config files

  See Also:
    Constant Field Values

### DIR_DATA

    public static final String DIR_DATA

  The data directory

  See Also:
    Constant Field Values

### DIR_CONF

    public static final String DIR_CONF

  The configuration directory

  See Also:
    Constant Field Values

Constructor Detail

### SwordConstants

    private SwordConstants()

  Prevent instantiation

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¨ 2003-2015
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD